import { queryMenus} from '@/services/user';

const MenuModal = {
  namespace: 'menu',
  state: {
    menuData: [],
    fetchMenuLoading: false
  },

  effects: {
    *getMenus(_, { call, put }) {
      yield put({
        type: 'setFetchLoading',
        payload: { fetchMenuLoading: true },
      });
      const response = yield call(queryMenus);
      if(response.code === 'OK') {
        response.data.list.unshift({ "path": '/welcome', "name": "欢迎", "icon": "smile" })
      } else {
        response.data = {
          list: [{ "path": '/welcome', "name": "欢迎", "icon": "smile" }]
        }
      }
      yield put({
        type: 'saveMenus',
        payload: response,
      });
      yield put({
        type: 'setFetchLoading',
        payload: { fetchMenuLoading: false },
      });
    },
  },
  reducers: {
    saveMenus(state, action) {
      return { ...state, menuData: action.payload.data.list || [] };
    },
    setFetchLoading(state, action) {
      state.fetchMenuLoading = action.payload.fetchMenuLoading
      return { ...state };
    },
  },
};
export default MenuModal;
