import React from 'react'
import { Table } from 'antd'
const Column = Table.Column
const TotalTable = ({ ...others }) => (
  <Table
    bordered
    rowKey={(record, i) => i}
    pagination={false}
    {...others}
  >
    <Column 
      title='日期'
      key='date'
      dataIndex='date'
      render={(date, record) => (date)}
    />
    <Column 
      title='安装数'
      key='10200'
      dataIndex='10200'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    <Column 
      title='注册用户数'
      key='10300'
      dataIndex='10300'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    <Column 
      title='活跃用户数'
      key='10500'
      dataIndex='10500'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    {/* <Column 
      title='进房用户数'
      key='10600'
      dataIndex='10600'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    <Column 
      title='视频单聊接通次数'
      key='31201'
      dataIndex='31201'
      render={(obj, record) => (obj ? obj.value : '')}
    /> */}
    <Column 
      title='充值金额'
      key='21100'
      dataIndex='21100'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    <Column 
      title='首充金额'
      key='21200'
      dataIndex='21200'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    <Column 
      title='充值用户数'
      key='20200'
      dataIndex='20200'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    <Column 
      title='首充用户数'
      key='20300'
      dataIndex='20300'
      render={(obj, record) => (obj ? obj.value : '')}
    />
    <Column 
      title='开播主播数'
      key='10800'
      dataIndex='10800'
      render={(obj, record) => (obj ? obj.value : '')}
    />
  </Table>
)

export default TotalTable
