import { stringify } from 'qs';
import request from '@/utils/request';

//获取礼物动效上传配置
export async function getGiftAnimationUploadConfig(params) {
  return request(`/api-agent/v1/data/getGiftAnimationUploadConfig?${stringify(params)}`);
}

//获取礼物标签上传配置
export async function getGiftTagUploadConfig(params) {
  return request(`/api-agent/v1/data/getGiftTagUploadConfig?${stringify(params)}`);
}

//获取礼物动效缩略图上传配置
export async function getGiftAnimationThumbUploadConfig(params) {
  return request(`/api-agent/v1/data/getGiftAnimationThumbUploadConfig?${stringify(params)}`);
}

//获取礼物图标上传配置
export async function getGiftIconUploadConfig(params) {
  return request(`/api-agent/v1/data/getGiftIconUploadConfig?${stringify(params)}`);
}

//获取主播列表
export async function getAnchorPageList(params) {
  return request(`/api-agent/v1/anchor/getAnchorPageList?${stringify(params)}`);
}

//获取主播认证列表
export async function getAnchorAuditPageList(params) {
  return request(`/api-agent/v1/anchor/getAnchorAuditPageList?${stringify(params)}`);
}

//获取主播认证记录
export async function getAnchorAuditRecord(params) {
  return request(`/api-agent/v1/anchor/getAnchorAuditRecord?${stringify(params)}`);
}

//主播认证审核
export async function setAnchorAuditStatus(params) {
  return request('/api-agent/v1/anchor/setAnchorAuditStatus', {
    method: 'POST',
    body: params,
  });
}

//禁播
export async function disableAnchor(params) {
  return request('/api-agent/v1/anchor/disableAnchor', {
    method: 'POST',
    body: params,
  });
}

//解禁
export async function enableAnchor(params) {
  return request('/api-agent/v1/anchor/enableAnchor', {
    method: 'POST',
    body: params,
  });
}

//获取主播详情
export async function getAnchorDetail(params) {
  return request(`/api-agent/v1/anchor/getAnchorDetail?${stringify(params)}`);
}

//创建礼物
export async function createGift(params) {
  return request('/api-agent/v1/gift/createGift', {
    method: 'POST',
    body: params,
  });
}

//编辑礼物
export async function editGift(params) {
  return request('/api-agent/v1/gift/editGift', {
    method: 'POST',
    body: params,
  });
}

//创建礼物特效
export async function createGiftAnimate(params) {
  return request('/api-agent/v1/gift/createGiftAnimate', {
    method: 'POST',
    body: params,
  });
}

//获取礼物详情
export async function getGiftDetail(params) {
  return request(`/api-agent/v1/gift/getGiftDetail?${stringify(params)}`);
}

//获取礼物列表
export async function getGiftPageList(params) {
  return request(`/api-agent/v1/gift/getGiftPageList?${stringify(params)}`);
}

//获取礼物标签列表
export async function getTagPageList(params) {
  return request(`/api-agent/v1/gift/getTagPageList?${stringify(params)}`);
}

//创建礼物标签
export async function createTag(params) {
  return request('/api-agent/v1/gift/createTag', {
    method: 'POST',
    body: params,
  });
}

//删除礼物标签
export async function deleteTag(params) {
  return request('/api-agent/v1/gift/deleteTag', {
    method: 'POST',
    body: params,
  });
}

//编辑礼物标签
export async function editTag(params) {
  return request('/api-agent/v1/gift/editTag', {
    method: 'POST',
    body: params,
  });
}

//获取礼物特效列表
export async function getGiftAnimatePageList(params) {
  return request(`/api-agent/v1/gift/getGiftAnimatePageList?${stringify(params)}`);
}

//编辑礼物特效
export async function editGiftAnimate(params) {
  return request('/api-agent/v1/gift/editGiftAnimate', {
    method: 'POST',
    body: params,
  });
}

//删除礼物特效
export async function deleteAnimate(params) {
  return request('/api-agent/v1/gift/deleteAnimate', {
    method: 'POST',
    body: params,
  });
}

//启用礼物特效
export async function enableAnimate(params) {
  return request('/api-agent/v1/gift/enableAnimate', {
    method: 'POST',
    body: params,
  });
}

//禁用礼物特效
export async function disableAnimate(params) {
  return request('/api-agent/v1/gift/disableAnimate', {
    method: 'POST',
    body: params,
  });
}

//启用礼物
export async function enableGift(params) {
  return request('/api-agent/v1/gift/enableGift', {
    method: 'POST',
    body: params,
  });
}

//禁用礼物
export async function disableGift(params) {
  return request('/api-agent/v1/gift/disableGift', {
    method: 'POST',
    body: params,
  });
}

//删除礼物
export async function deleteGift(params) {
  return request('/api-agent/v1/gift/deleteGift', {
    method: 'POST',
    body: params,
  });
}
